WKSContentListener::FormulaInstruction Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
WKSContentListener::FormulaInstruction Struct Reference

small class use to define a formula instruction More...

`#include <WKSContentListener.h>`

## Public Types
enum | What { F_Operator, F_Function, F_Cell, F_CellList, F_Long, F_Double, F_Text }

## Public Member Functions
| FormulaInstruction ()
| constructor More...
librevenge::RVNGPropertyList | getPropertyList () const
| return a proplist corresponding to a instruction More...

## Public Attributes
What | m_type
| the type More...
std::string | m_content
| the content ( if type == F_Operator or type = F_Function or type==F_Text) More...
double | m_longValue
| value ( if type==F_Long ) More...
double | m_doubleValue
| value ( if type==F_Double ) More...
Vec2i | m_position [2]
| cell position ( if type==F_Cell or F_CellList ) More...
Vec2b | m_positionRelative [2]
| relative cell position ( if type==F_Cell or F_CellList ) More...
librevenge::RVNGString | m_sheetName
| the sheet name More...

## Friends
std::ostream & | operator<< (std::ostream &o, FormulaInstruction const &inst)
| operator<< More...

## Detailed Description

small class use to define a formula instruction

## Member Enumeration Documentation

enum WKSContentListener::FormulaInstruction::What

Enumerator
F_Operator |
F_Function |
F_Cell |
F_CellList |
F_Long |
F_Double |
F_Text |

## Constructor & Destructor Documentation

WKSContentListener::FormulaInstruction::FormulaInstruction | ( |  | ) |
| inline

constructor

## Member Function Documentation

librevenge::RVNGPropertyList WKSContentListener::FormulaInstruction::getPropertyList | ( |  | ) | const

return a proplist corresponding to a instruction

Referenced by FormulaInstruction().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | WKSContentListener::FormulaInstruction const & | inst
| ) |  |
| friend

operator<<

Referenced by FormulaInstruction(), and WKSContentListener::CellContent::~CellContent().

## Member Data Documentation

std::string WKSContentListener::FormulaInstruction::m_content

the content ( if type == F_Operator or type = F_Function or type==F_Text)

Referenced by operator<<(), QuattroSpreadsheet::readFormula(), LotusSpreadsheet::readFormula(), and WKS4Spreadsheet::readFormula().

double WKSContentListener::FormulaInstruction::m_doubleValue

value ( if type==F_Double )

Referenced by operator<<(), QuattroSpreadsheet::readFormula(), LotusSpreadsheet::readFormula(), and WKS4Spreadsheet::readFormula().

double WKSContentListener::FormulaInstruction::m_longValue

value ( if type==F_Long )

Referenced by operator<<(), QuattroSpreadsheet::readFormula(), LotusSpreadsheet::readFormula(), and WKS4Spreadsheet::readFormula().

Vec2i WKSContentListener::FormulaInstruction::m_position[2]

cell position ( if type==F_Cell or F_CellList )

Referenced by FormulaInstruction(), operator<<(), QuattroSpreadsheet::readCell(), LotusSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), QuattroSpreadsheet::readFormula(), LotusSpreadsheet::readFormula(), and WKS4Spreadsheet::readFormula().

Vec2b WKSContentListener::FormulaInstruction::m_positionRelative[2]

relative cell position ( if type==F_Cell or F_CellList )

Referenced by FormulaInstruction(), operator<<(), QuattroSpreadsheet::readCell(), LotusSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), QuattroSpreadsheet::readFormula(), LotusSpreadsheet::readFormula(), and WKS4Spreadsheet::readFormula().

librevenge::RVNGString WKSContentListener::FormulaInstruction::m_sheetName

the sheet name

Referenced by operator<<(), QuattroSpreadsheet::readCell(), LotusSpreadsheet::readCell(), and LotusSpreadsheet::readFormula().

What WKSContentListener::FormulaInstruction::m_type

the type

Referenced by operator<<(), QuattroSpreadsheet::readCell(), LotusSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), QuattroSpreadsheet::readFormula(), LotusSpreadsheet::readFormula(), and WKS4Spreadsheet::readFormula().

The documentation for this struct was generated from the following files:

- WKSContentListener.h
- WKSContentListener.cpp